<?xml version="1.0" encoding="UTF-8"?>
<EventSpec
    xmlns="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.0.0/es"
	name="Events"
	targetNamespace="http://www.ibm.com/xmlns/prod/websphere/scdl/6.0.0:Component" 
    xmlns:er="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.0.0/es/eventpayloads"
    >
	
	<Events>
		<Event name="WBI.SCA.MethodInvocation.ENTRY" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
			<Payload name="DEFAULT">
			<!--
				<Data role="Interface" type="string" minOccurs="1" maxOccurs="1"/>
				<Data role="Method" type="string" minOccurs="1" maxOccurs="1"/> -->
				<Data role="Input" type="primitive businessObject" minOccurs="0" maxOccurs="unbounded"/>
			</Payload>
		</Event>
		<Event name="WBI.SCA.MethodInvocation.EXIT" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
			<Payload>
			<!--
				<Data role="Interface" type="string" minOccurs="1" maxOccurs="1"/>
				<Data role="Method" type="string" minOccurs="1" maxOccurs="1"/> -->
				<Data role="Output" type="primitive businessObject" minOccurs="0" maxOccurs="unbounded"/>
			</Payload>
		</Event>
		<Event name="WBI.ER" refName="WBI.ErrorReport" from="er:ITEvents"/>
		<Event name="WBI.SCA.MethodInvocation.FAILURE" parent="WBI.ER" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
			<Payload>
			<!--
				<Data role="Interface" type="string" minOccurs="1" maxOccurs="1"/>
				<Data role="Method" type="string" minOccurs="1" maxOccurs="1"/> -->
				<Data role="Input" type="primitive businessObject" minOccurs="0" maxOccurs="unbounded"/>
			</Payload>
		</Event>
	</Events>
</EventSpec>
