<?xml version="1.0" encoding="UTF-8"?>
<EventSpec
    xmlns="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.0.0/es"
    xmlns:er="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.0.0/es/eventpayloads"
    name="Events"
    targetNamespace="http://www.ibm.com/xmlns/prod/websphere/wbiserver/map/6.0.0:BusinessObjectMap"
    >

    <Events>
          <Event name="WBI.MAP.ENTRY" parent="WBI.MonitoringEvent" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Input" type="businessObject" maxOccurs="unbounded"/>
            </Payload>
        </Event>
        <Event name="WBI.MAP.EXIT" parent="WBI.MonitoringEvent" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Output" type="businessObject" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.MAP.Transformation.ENTRY" parent="WBI.MonitoringEvent" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload name="DEFAULT">
                <Data role="Input" type="primitive businessObject" minOccurs="0" maxOccurs="unbounded"/>
            </Payload>
        </Event>
        <Event name="WBI.MAP.Transformation.EXIT" parent="WBI.MonitoringEvent" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Output" type="primitive businessObject" maxOccurs="1"/>
            </Payload>
        </Event>
        <Event name="WBI.MAP.Transformation.FAILURE" parent="WBI.MonitoringEvent" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Input" type="primitive businessObject" minOccurs="0" maxOccurs="unbounded"/>
                <Data role="Output" type="primitive businessObject" maxOccurs="1"/>
                <Data role="Exception" type="exception" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.ER" refName="WBI.ErrorReport" from="er:ITEvents"/>
        <Event name="WBI.MAP.FAILURE" parent="WBI.ER" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Input" type="primitive businessObject" minOccurs="0" maxOccurs="unbounded"/>
                <Data role="Output" type="primitive businessObject" maxOccurs="1"/>
            </Payload>
        </Event>
    </Events>
</EventSpec>

