<?xml version="1.0" encoding="UTF-8"?>
<EventSpec xmlns="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.0.0/es"
	name="Events" targetNamespace="http://www.ibm.com/xmlns/prod/websphere/fe/6.0.0:Recovery"
	xmlns:er="http://www.ibm.com/xmlns/prod/websphere/recovery/6.0.0/es/eventpayloads"
>
	<Events>
		<Event name="WBI.Recovery.FAILURE" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
			<Payload name="DEFAULT">
				<Data name="MsgId" type="string" minOccurs="1" maxOccurs="1"/>
				<Data name="DestModuleName" type="string" minOccurs="0" maxOccurs="1"/>
				<Data name="DestComponentName" type="string" minOccurs="0" maxOccurs="1"/>
				<Data name="DestMethodName" type="string" minOccurs="0" maxOccurs="1"/>
				<Data name="SourceModuleName" type="string" minOccurs="0" maxOccurs="1"/>
				<Data name="SourceComponentName" type="string" minOccurs="0" maxOccurs="1"/>
				<Data name="ResubmitDestination" type="string" minOccurs="0" maxOccurs="1"/>
				<Data name="ExceptionDetails" type="string" minOccurs="0" maxOccurs="1"/>
				<Data name="SessionId" type="string" minOccurs="0" maxOccurs="1"/>
				<Data name="FailureTime" type="dateTime" minOccurs="0" maxOccurs="1"/>
				<Data name="ExpirationTime" type="dateTime" minOccurs="0" maxOccurs="1"/>
				<Data name="Status" type="int" minOccurs="0" maxOccurs="1"/>
				<Data name="MessageBody" type="byteArray" minOccurs="0" maxOccurs="1"/>
				<Data name="Deliverable" type="boolean" minOccurs="0" maxOccurs="1"/>
			</Payload>
		</Event>
		<Event name="WBI.Recovery.DEADLOOP" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
			<Payload>
				<Data name="DeadloopMsgId" type="string" minOccurs="1" maxOccurs="1"/>
				<Data name="SIBusName" type="string" minOccurs="0" maxOccurs="1"/>
				<Data name="QueueName" type="string" minOccurs="0" maxOccurs="1"/>
				<Data name="Reason" type="string" minOccurs="0" maxOccurs="1"/>
			</Payload>
		</Event>
		<Event name="WBI.Recovery.RESUBMIT" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
			<Payload name="DEFAULT">
				<Data name="MsgId" type="string" minOccurs="1" maxOccurs="1"/>
				<Data name="OriginalMesId" type="string" minOccurs="0" maxOccurs="1"/>
				<Data name="ResubmitCount" type="int" minOccurs="0" maxOccurs="1"/>
				<Data name="Description" type="string" minOccurs="0" maxOccurs="1"/>
			</Payload>
		</Event>
		<Event name="WBI.Recovery.DELETE" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
			<Payload name="DEFAULT">
				<Data name="MsgId" type="string" minOccurs="1" maxOccurs="1"/>
				<Data name="deleteTime" type="dateTime" minOccurs="0" maxOccurs="1"/>
				<Data name="Description" type="string" minOccurs="0" maxOccurs="1"/>
			</Payload>
		</Event>
	</Events>
</EventSpec>
