<?xml version="1.0" encoding="UTF-8"?>
<EventSpec 
	xmlns="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.0.0/es" 
    xmlns:er="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.0.0/es/eventpayloads"
	name="Events" 
	targetNamespace="http://www.ibm.com/xmlns/prod/websphere/wbi/SelectorComponentDef/6.0.0:SelectorComponentDef" 
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
	xsi:schemaLocation="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.0.0/es es.xsd">

	<Events>
		<Event name="WBI.SEL.ENTRY" parent="WBI.MonitoringEvent" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
			<Payload>
                <Data name="operationName" type="string" minOccurs="1" maxOccurs="1"/>
                <Data name="input" type="primitive businessObject" minOccurs="0" maxOccurs="1"/>
			</Payload>
		</Event>
		<Event name="WBI.SEL.EXIT" parent="WBI.MonitoringEvent" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
			<Payload>
                <Data name="operationName" type="string" minOccurs="1" maxOccurs="1"/>
                <Data name="result" type="primitive businessObject primitiveArray businessObjectArray" minOccurs="0" maxOccurs="1"/>
			</Payload>
		</Event>
		<Event name="WBI.SEL.FAILURE" parent="WBI.ER" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
			<Payload>
                <Data name="operationName" type="string" minOccurs="1" maxOccurs="1"/>
			</Payload>
		</Event>
		<Event name="WBI.SEL.SelectionKeyExtracted" parent="WBI.MonitoringEvent" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
			<Payload>
                <Data name="operationName" type="string" minOccurs="1" maxOccurs="1"/>
                <Data name="selectionKey" type="primitive businessObject primitiveArray businessObjectArray" minOccurs="0" maxOccurs="1"/>
			</Payload>
		</Event>
		<Event name="WBI.SEL.TargetFound" parent="WBI.MonitoringEvent" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
			<Payload>
                <Data name="operationName" type="string" minOccurs="1" maxOccurs="1"/>
                <Data name="target" type="string" minOccurs="1" maxOccurs="1"/>
			</Payload>
		</Event>
		<Event name="WBI.ER" refName="WBI.ErrorReport" from="er:ITEvents"/>
	</Events>
</EventSpec>
